summaryrefslogtreecommitdiff
path: root/app-metrics/prometheus/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-03-27 22:40:05 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-03-27 22:40:05 +0100
commit8c364c784966be1700ea39ae45028f3e9be9cae0 (patch)
treec1971211069b79e3831b71accd52a67a9fdc77a3 /app-metrics/prometheus/files
parent6bd95d1f6320b8666a31ec949183aaa3088aa16f (diff)
gentoo resync : 27.03.2018
Diffstat (limited to 'app-metrics/prometheus/files')
-rw-r--r--app-metrics/prometheus/files/prometheus-3.initd28
-rw-r--r--app-metrics/prometheus/files/prometheus.confd2
2 files changed, 30 insertions, 0 deletions
diff --git a/app-metrics/prometheus/files/prometheus-3.initd b/app-metrics/prometheus/files/prometheus-3.initd
new file mode 100644
index 000000000000..ae151ef91fbd
--- /dev/null
+++ b/app-metrics/prometheus/files/prometheus-3.initd
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 2016-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="Prometheus monitoring system and time series database"
+pidfile=${pidfile:-"/run/${RC_SVCNAME}.pid"}
+user=${user:-${SVCNAME}}
+group=${group:-${SVCNAME}}
+
+command="/usr/bin/prometheus"
+command_args="${command_args:---config.file=/etc/prometheus/prometheus.yml --storage.tsdb.path=/var/lib/prometheus/data}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+ --stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
+ --stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
+
+extra_started_commands="reload"
+
+depend() {
+ after net
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $? "Failed to stop ${SVCNAME}"
+}
+
diff --git a/app-metrics/prometheus/files/prometheus.confd b/app-metrics/prometheus/files/prometheus.confd
new file mode 100644
index 000000000000..93b41b31624c
--- /dev/null
+++ b/app-metrics/prometheus/files/prometheus.confd
@@ -0,0 +1,2 @@
+# arguments for Prometheus
+command_args=""